
#ifndef MISDN_PRINTK_H
#define MISDN_PRINTK_H

#include <stdint.h>
#include "../libdebug/debug.h"

#define KERN_DEBUG	"0"
#define KERN_INFO	"1"
#define KERN_NOTICE	"2"
#define KERN_WARNING	"2"
#define KERN_ERR	"3"

#define printk(fmt, arg...) _printk(__FILE__, __FUNCTION__, __LINE__, fmt, ## arg)
void _printk(const char *file, const char *function, int line, const char *fmt, ...) __attribute__ ((__format__ (__printf__, 4, 5)));

#endif
